Bug 972683 (CVE-2013-4078) - CVE-2013-4078 wireshark: DoS (infinite loop) in the RDP dissector (wnpa-sec-2013-36)
Summary: CVE-2013-4078 wireshark: DoS (infinite loop) in the RDP dissector (wnpa-sec-2...
Status: CLOSED NOTABUG
Alias: CVE-2013-4078
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130607,reported=2...
Keywords: Security
Depends On: 972762 979246
Blocks: 972772
TreeView+ depends on / blocked
 
Reported: 2013-06-10 12:04 UTC by Jan Lieskovsky
Modified: 2016-03-04 10:48 UTC (History)
4 users (show)

Fixed In Version: wireshark-1.8.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 04:44:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-06-10 12:04:39 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4078 to the following vulnerability:

epan/dissectors/packet-rdp.c in the RDP dissector in Wireshark 1.8.x before 1.8.8 does not validate return values during checks for data availability, which allows remote attackers to cause a denial of service (application crash) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc?view=revision&revision=45566
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=46158
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.8.8.html
[4] http://www.wireshark.org/security/wnpa-sec-2013-36.html
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7862
[6] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8729

Comment 1 Jan Lieskovsky 2013-06-10 13:44:05 UTC
This issue did NOT affect the version of the wireshark package, as shipped with Fedora release of 17.

--

This issue affects the version of the wireshark package, as shipped with Fedora release of 18. Please schedule an update.

Comment 2 Jan Lieskovsky 2013-06-10 14:35:07 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 972762]

Comment 3 Huzaifa S. Sidhpurwala 2013-06-11 04:44:34 UTC
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 4 Vincent Danen 2013-06-14 18:24:37 UTC
External References:

http://www.wireshark.org/security/wnpa-sec-2013-36.html

Comment 5 Fedora Update System 2013-09-28 00:13:19 UTC
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-10-03 01:04:16 UTC
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-12-19 07:10:50 UTC
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.